function [Omega,L]=Hessian_Laplacian_matrix(X,m)
% Input:
% X: multi-feature cell matrix 
% m: the number of modalities
% Output:
% Omega: Hessian matrix cell
% L: Laplacian matrix cell

 k1=6;
 NCoordDim=6;
 k2=2;% 2 best
 sigma=1;
 for i=1:m
     Omega{i}=Hessian_reg(XX{i}',k1,NCoordDim); % Hessian regularizor
     L{i}=Laplacian_reg(XX{i},k2,sigma); % Laplacian regularizor
 end